net.corda.core.contracts.clauses

## Class ClauseKt

- net.corda.core.contracts.clauses.ClauseKt

-     public class ClauseKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <C extends CommandData> boolean` | `matches(Clause<?,C,?> $receiver, java.util.List<? extends net.corda.core.contracts.AuthenticatedObject<? extends C>> commands)` Determine if the given list of commands matches the required commands for a clause to trigger.

- - ### Method Detail

    - #### matches

          public static <C extends CommandData> boolean matches(Clause<?,C,?> $receiver,
                                                                java.util.List<? extends net.corda.core.contracts.AuthenticatedObject<? extends C>> commands)

      Determine if the given list of commands matches the required commands for a clause to trigger.